Skip to content
OpenPostDocs
OpenPostDocs
Stock Media

Resolve a selected stock asset and record provider attribution events

POST/stock-media/selections

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/stock-media/selections" \  -H "Content-Type: application/json" \  -d '{    "external_id": "string",    "provider": "pexels"  }'
{  "$schema": "https://example.com/api/v1/schemas/ResolvedAsset.json",  "attribution_text": "string",  "creator_name": "string",  "creator_url": "string",  "download_url": "string",  "duration_seconds": 0,  "external_id": "string",  "height": 0,  "kind": "string",  "license_name": "string",  "license_url": "string",  "mime_type": "string",  "preview_url": "string",  "provider": "string",  "provider_url": "string",  "source_url": "string",  "thumbnail_url": "string",  "title": "string",  "width": 0}